org.apache.felix.framework.resolver

## Class ResolveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.osgi.service.resolver.ResolutionException
      - - org.apache.felix.framework.resolver.ResolveException

All Implemented Interfaces:
  Serializable

    public class ResolveException
    extends org.osgi.service.resolver.ResolutionException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ResolveException(String msg, BundleRevision revision, BundleRequirement req)` Constructs an instance of `ResolveException` with the specified detail message.

### Method Summary

All Methods Instance Methods Concrete Methods
`BundleRequirement` `getRequirement()`
`BundleRevision` `getRevision()`

### Methods inherited from class org.osgi.service.resolver.ResolutionException

`getUnresolvedRequirements`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResolveException

    public ResolveException(String msg,
                            BundleRevision revision,
                            BundleRequirement req)

Constructs an instance of `ResolveException` with the specified detail message.

Parameters:
  `msg` - the detail message.

### Method Detail

#### getRevision

    public BundleRevision getRevision()

#### getRequirement

    public BundleRequirement getRequirement()